| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::image_loader::image_loader_args_t Struct Reference

`#include <uhd/image_loader.hpp>`

## Public Attributes
uhd::device_addr_t | args
bool | load_firmware
bool | load_fpga
bool | download
std::string | firmware_path
std::string | fpga_path
std::string | out_path
std::string | id
std::vector< uint8_t > | component
uhd::dict< std::string, std::string > | metadata
bool | delay_reload = false
bool | just_reload = false

## Member Data Documentation

## ◆ args

uhd::device_addr_t uhd::image_loader::image_loader_args_t::args

## ◆ component

std::vector<uint8_t> uhd::image_loader::image_loader_args_t::component

## ◆ delay_reload

bool uhd::image_loader::image_loader_args_t::delay_reload = false

## ◆ download

bool uhd::image_loader::image_loader_args_t::download

## ◆ firmware_path

std::string uhd::image_loader::image_loader_args_t::firmware_path

## ◆ fpga_path

std::string uhd::image_loader::image_loader_args_t::fpga_path

## ◆ id

std::string uhd::image_loader::image_loader_args_t::id

## ◆ just_reload

bool uhd::image_loader::image_loader_args_t::just_reload = false

## ◆ load_firmware

bool uhd::image_loader::image_loader_args_t::load_firmware

## ◆ load_fpga

bool uhd::image_loader::image_loader_args_t::load_fpga

## ◆ metadata

uhd::dict<std::string, std::string> uhd::image_loader::image_loader_args_t::metadata

## ◆ out_path

std::string uhd::image_loader::image_loader_args_t::out_path

The documentation for this struct was generated from the following file:

- image_loader.hpp